#######
#
# E-scripts on making ".deb"s.
#
# Note 1: use the eev command (defined in eev.el) and the
# ee alias (in my .zshrc) to execute parts of this file.
# Executing this file as a whole makes no sense.
# An introduction to eev can be found here:
#
#   (find-eev-quick-intro)
#   http://angg.twu.net/eev-intros/find-eev-quick-intro.html
#
# Note 2: be VERY careful and make sure you understand what
# you're doing.
#
# Note 3: If you use a shell other than zsh things like |&
# and the for loops may not work.
#
# Note 4: I always run as root.
#
# Note 5: some parts are too old and don't work anymore. Some
# never worked.
#
# Note 6: the definitions for the find-xxxfile commands are on my
# .emacs.
#
# Note 7: if you see a strange command check my .zshrc -- it may
# be defined there as a function or an alias.
#
# Note 8: the sections without dates are always older than the
# sections with dates.
#
# This file is at <http://angg.twu.net/e/debiandev.e>
#           or at <http://angg.twu.net/e/debiandev.e.html>.
#        See also <http://angg.twu.net/emacs.html>,
#                 <http://angg.twu.net/.emacs[.html]>,
#                 <http://angg.twu.net/.zshrc[.html]>,
#                 <http://angg.twu.net/escripts.html>,
#             and <http://angg.twu.net/>.
#
#######





# «.developers-reference»	(to "developers-reference")
# «.packaging-manual»	(to "packaging-manual")
# «.dpkg-buildpackage»	(to "dpkg-buildpackage")
# «.yada»		(to "yada")
# «.debhelper»		(to "debhelper")
# «.usr_doc_link»	(to "usr_doc_link")
# «.mktclapp_raw»	(to "mktclapp_raw")
# «.mktclapp_dh_make»	(to "mktclapp_dh_make")
# «.mktclapp»		(to "mktclapp")
# «.mktclapp_dbp»	(to "mktclapp_dbp")
# «.lintian»		(to "lintian")
# «.mktclapp-3.8»	(to "mktclapp-3.8")
# «.mktclapp-3.9-fupl»	(to "mktclapp-3.9-fupl")
# «.debian-devel-docs»	(to "debian-devel-docs")
# «.debchange»		(to "debchange")





#####
#
# developers-reference
# 2000jun10
#
#####

# «developers-reference»  (to ".developers-reference")
# (find-status "developers-reference")
# (find-vldifile "developers-reference.list")
# (find-fline "/usr/doc/developers-reference/")

# (find-devreffile "")
# (find-devreftxt "\n11. Overview of Debian Maintainer Tools")
# (find-devreftxt "`debmake' is now deprecated in favor of\n     `debhelper'")



#####
#
# packaging-manual
# 2000jun10
#
#####

# «packaging-manual»  (to ".packaging-manual")
# (find-status "packaging-manual")
# (find-vldifile "packaging-manual.list")
# (find-fline "/usr/doc/packaging-manual/")

# (find-packfile "")
# (find-packfile "packaging.text.gz")

# «dpkg-buildpackage»  (to ".dpkg-buildpackage")
# (find-packfile "packaging.text.gz" "3.1.2. `dpkg-buildpackage'")

# (find-vldifile "dpkg-cross.list")
# (find-vldifile "dpkg-dev.list")

# (find-fline "/usr/bin/dpkg-buildpackage")
# (find-fline "/usr/bin/dpkg-buildpackage" "wrapper")
# (find-fline "/usr/bin/dpkg-buildpackage" "$signkey =")
# (find-fline "/usr/bin/dpkg-buildpackage" "call the real dpkg-buildpackage")
# (find-fline "/usr/bin/dpkg-buildpackage.orig")





#####
#
# emacsen-common (and the Debian Emacs policy)
# 2000jun10
#
#####

# (find-status "emacsen-common")
# (find-vldifile "emacsen-common.list")
# (find-fline "/usr/doc/emacsen-common/")
# (find-fline "/usr/doc/emacsen-common/debian-emacs-policy.gz")

(defun find-demacsp (&rest rest)
  (apply 'find-fline "/usr/doc/emacsen-common/debian-emacs-policy.gz" rest))

# (find-demacsp "load-path")
# load-path

# (find-fline "/etc/emacs/site-start.el")
# (find-fline "/etc/emacs/site-start.d/")
# (find-fline "/etc/site-start.d/")
# (find-fline "/usr/share/")
# (find-fline "/usr/share/site-lisp/")
# (find-fline "/usr/share/emacs/")
# (find-fline "/usr/share/emacs/site-lisp/")
# (find-fline "/usr/share/emacs/site-lisp/debian-startup.el")
# (find-fline "/usr/lib/emacsen-common/")
# (find-fline "/usr/lib/emacsen-common/packages/")
# (find-fline "/usr/lib/emacsen-common/packages/install/")
# (find-fline "/usr/lib/emacsen-common/packages/install/emacsen-common")
# (find-fline "/usr/lib/emacsen-common/packages/remove/")
# (find-fline "/usr/lib/emacsen-common/packages/remove/emacsen-common")
# (find-fline "/usr/lib/emacsen-common/emacs-install")
# (find-fline "/usr/lib/emacsen-common/emacs-remove")
# (find-fline "/usr/lib/emacsen-common/emacs-package-install")
# (find-fline "/usr/lib/emacsen-common/emacs-package-remove")
# (find-fline "/usr/lib/emacsen-common/generate-install-list")
# (find-fline "/var/lib/emacsen-common/")


# Some path tests. Use with M-1 C-x C-e

P=/usr/share/emacs/site-lisp/foo.el
echo '(insert "Hello from foo!")'	> $P
echo '(load-library "foo")'		> /tmp/e
'emacs' -nw /tmp/e
rm -v $P

mkdir  /usr/share/emacs/site-lisp/eev/
echo 'load-path' > /tmp/e
'emacs' -nw /tmp/e
rm -Rv /usr/share/emacs/site-lisp/eev/




#####
#
# debian-policy
# 2000jun10
#
#####

# (find-status "debian-policy")
# (find-vldifile "debian-policy.list")
# (find-fline "/usr/doc/debian-policy/")
# (find-fline "/usr/doc/debian-policy/fhs/fhs.txt.gz")




#####
#
# dh-make
# 2000jun10
#
#####

# (find-status "dh-make")
# (find-vldifile "dh-make.list")
# (find-fline "/usr/doc/dh-make/")

# (find-fline "/usr/share/debhelper/dh_make/")
# (eeman "1 dh_make")

# (find-fline "/usr/bin/dh_make")




#####
#
# eev as a debian package, using debhelper
# 2000jun10
#
#####

# «eev-dh0»

rm -Rv /usr/src/eev*
V=$(date +%Y%m%d)
echo $V
ln -s eev-$V /usr/src/eev
mkdir /usr/src/eev-$V/

cd    /usr/src/eev-$V/
mkdir escripts/
cd    escripts/
cp -ai $ES/*.e .
# (find-fline "~/TH/Files.tcl" "corresp.e")
rm -fv cartas.e contas.e corresp.e secret.e locz.e

cd    /usr/src/eev-$V/
cp -v ~/.emacs ~/eev.el ~/.zshrc ~/EXPECT/eeg .

export EMAIL=edrx@inx.com.br
echo | dh_make --native --single
rm -v debian/*.ex debian/ex.doc-base.package

cp -v ~/EEV/Makefile .

for i in rules control dirs docs; do
  cp -v debian/$i debian/$i.orig
  cp -v ~/EEV/debian/$i debian/$i
done

debian/rules binary

# (find-fline "/usr/src/eev/")
# (find-fline "/usr/src/eev/debian/")
# (find-fline "/usr/src/eev/debian/rules")
# (find-fline "/usr/src/eev/debian/rules.orig")

# (find-fline "~/EEV/debian/rules")
# (find-fline "~/EEV/debian/dirs")
# (find-fline "~/EEV/debian/docs")
# (find-fline "~/EEV/debian/changelog")
# (find-fline "~/EEV/debian/Makefile")

# (find-mtafile "debian/")
# (find-mtafile "debian/rules")
# (find-mtafile "debian/dirs")
# (find-mtafile "debian/docs")




#####
#
# yada
# 2000jun10
#
#####

# «yada»  (to ".yada")

# (find-status "yada")
# (find-vldifile "yada.list")
# (find-vldifile "" "yada.list")
# (find-fline "/usr/doc/yada/")
# (find-fline "/usr/doc/yada/yada.txt.gz")
# (find-fline "/usr/doc/yada/README.Debian.gz")
# (find-fline "/usr/doc/yada/examples/packages.yada")

# (find-fline "/usr/doc/yada/yada.txt.gz" "Fields in the source paragraph")
# (find-fline "/usr/doc/yada/yada.txt.gz" "Fields in binary paragraphs")

# Would yada work from a private directory?
# Seems so, there's no relevant "usr/bin" string inside its source.
# (find-fline "/usr/bin/yada")






#####
#
# eev as a debian package, using yada
# 2000jun10
#
#####

# «eev-yada0»

rm -Rv /usr/src/eev*
V=$(date +%Y%m%d)
echo $V
ln -s eev-$V /usr/src/eev
mkdir /usr/src/eev-$V/

cd    /usr/src/eev-$V/
mkdir escripts/
cd    escripts/
cp -ai $ES/*.e .
# (find-fline "~/TH/Files.tcl" "corresp.e")
rm -fv cartas.e contas.e corresp.e secret.e locz.e

cd    /usr/src/eev-$V/
cp -v ~/.emacs ~/eev.el ~/.zshrc ~/EXPECT/eeg .

yada yada

for i in packages changelog; do
  cp -v debian/$i debian/$i.orig
  cp -v ~/EEV/debian/$i debian/$i
done

debian/yada rebuild rules

# Create the only the binary or the binary and the source packages:
debian/rules binary
# dpkg-buildpackage -us -uc

movelocaldeb /usr/src/eev*.deb
cd /usr/src/.debs/binary-i386/web/
# (find-fline "/usr/src/.debs/binary-i386/web/")
dpkg -i ivox-server*.deb

# (find-fline "~/EEV/debian/")
# (find-fline "~/EEV/debian/packages")
# (find-fline "~/EEV/debian/changelog")
# (find-fline "/usr/src/eev/debian/")
# (find-fline "/usr/src/" "eev")



# Test the source package (just check if it rebuilds):

cd /usr/src/
rm -Rv eev eev-* eev*.deb
pdsc /usr/src/eev*.dsc
debian/rules binary

dpkg -i /usr/src/eev_20000611_all.deb

# (find-status "eev")
# (find-vldifile "eev.list")
# (find-fline "/usr/doc/eev/")

# Will dpkg remove all the dirs that eev created?

laf -d /usr/doc/eev /usr/share/doc/eev /usr/share/emacs/site-lisp/eev
aptrm eev
laf -d /usr/doc/eev /usr/share/doc/eev /usr/share/emacs/site-lisp/eev

# Yes! :-)




#####
#
# ivox-server as a debian package, using yada
# 2000jun15
#
#####

# «ivox-yada»

rm -Rv /usr/src/ivox*
V=$(date +%Y%m%d)
echo $V
ln -s ivox-server-$V /usr/src/ivox-server
mkdir /usr/src/ivox-server-$V/
cd    /usr/src/ivox-server-$V/

mkdir -p usr/local/
ln -s ../.. usr/local/etc
tar -xzf $S/ftp/www.ivox.com.br/o4.tgz
cp -v $ES/locz.e .

yada yada

cp -v ~/IVOX/README .
for i in packages changelog; do
  cp -v debian/$i debian/$i.orig
  cp -v ~/IVOX/debian/$i debian/$i
done

debian/yada rebuild rules
debian/rules binary

movelocaldeb /usr/src/ivox-server*.deb
cd /usr/src/.debs/binary-i386/web/
# (find-fline "/usr/src/.debs/binary-i386/web/")
dpkg -i ivox-server*.deb

# (find-fline "$S/ftp/www.ivox.com.br/o4.tgz")
# (find-fline "~/IVOX/debian/")
# (find-fline "~/IVOX/debian/packages")
# (find-fline "~/IVOX/debian/changelog")








#####
#
# debian-faq
# 2000jun10
#
#####

# (find-debfaqfile "")
# (find-debfaqfile "debian-faq.en.txt.gz")
# (find-debfaqw3 "")

zless /usr/share/doc/debian/FAQ/debian-faq.txt.gz

lynx /usr/doc/debian/FAQ/debian-faq.html
lynx /usr/doc/debian/FAQ/debian-faq-15.html#ss15.1




#####
#
# ddp
# 2000jun10
#
#####

# (find-shttpfile "www.debian.org/~elphick/ddp/")
# (find-shttpw3 "www.debian.org/~elphick/ddp/")




#####
#
# debhelper
# 2000jun10
#
#####

# (find-status "debhelper")
# (find-vldifile "debhelper.list")
# (find-fline "/usr/doc/debhelper/")
# (find-fline "/usr/doc/debhelper/README")
# (find-fline "/usr/doc/debhelper/examples/")

# (eeman "1 debhelper")

man -P 'colcrt -' 1 debhelper > ~/tmp/debhelper.1

# (find-fline "~/tmp/debhelper.1")





#####
#
# debhelper
# 99oct??
#
#####

# «debhelper»  (to ".debhelper")
# (find-vldifile "debhelper.list")
# (find-fline "/usr/doc/debhelper/")

# (find-vldifile "debmake.list")
# (find-fline "/usr/bin/deb-make")
# (find-fline "/usr/lib/deb-make/debians/")
# (find-fline "/usr/doc/debmake/")

# (find-fline "/usr/bin/dh_installdirs")

# (find-fline "/usr/bin/dh_testversion")
#		(eeman "dh_testversion")
# (find-fline "/usr/bin/dh_testdir")
#		(eeman "dh_testdir")
# (find-fline "/usr/bin/dh_testroot")
#		(eeman "dh_testroot")
# (find-fline "/usr/bin/dh_installdocs")
#		(eeman "dh_installdocs")
# (find-fline "/usr/bin/dh_installexamples")
#		(eeman "dh_installexamples")
# (find-fline "/usr/bin/dh_installmenu")
#		(eeman "dh_installmenu")
# (find-fline "/usr/bin/dh_installemacsen")
#		(eeman "dh_installemacsen")
# (find-fline "/usr/bin/dh_installinit")
#		(eeman "dh_installinit")
# (find-fline "/usr/bin/dh_installcron")
#		(eeman "dh_installcron")
# (find-fline "/usr/bin/dh_installmanpages")
#		(eeman "dh_installmanpages")
# (find-fline "/usr/bin/dh_undocumented")
#		(eeman "dh_undocumented")
# (find-fline "/usr/bin/dh_installchangelogs")
#		(eeman "dh_installchangelogs")
# (find-fline "/usr/bin/dh_strip")
#		(eeman "dh_strip")
# (find-fline "/usr/bin/dh_compress")
#		(eeman "dh_compress")
# (find-fline "/usr/bin/dh_fixperms")
#		(eeman "dh_fixperms")
# (find-fline "/usr/bin/dh_suidregister")
#		(eeman "dh_suidregister")
# (find-fline "/usr/bin/dh_installdeb")
#		(eeman "dh_installdeb")
# (find-fline "/usr/bin/dh_shlibdeps")
#		(eeman "dh_shlibdeps")
# (find-fline "/usr/bin/dh_gencontrol")
#		(eeman "dh_gencontrol")
# (find-fline "/usr/bin/dh_makeshlibs")
#		(eeman "dh_makeshlibs")
# (find-fline "/usr/bin/dh_md5sums")
#		(eeman "dh_md5sums")
# (find-fline "/usr/bin/dh_builddeb")
#		(eeman "dh_builddeb")




#####
#
# The /usr/doc/xxx <-> /usr/share/doc/xxx link
#
#####

# «usr_doc_link»  (to ".usr_doc_link")
# (find-fline "/usr/bin/dh_installdocs" "/usr/doc compatability symlinks code")
# (find-fline "/usr/share/debhelper/autoscripts/")



#####
#
# maint-guide
# 2000jun10
#
#####

# (find-status "maint-guide")
# (find-vldifile "maint-guide.list")
# (find-fline "/usr/doc/maint-guide/")

# (find-maintgfile "maint-guide.txt.gz")





#####
#
# debmake
# 2000jun10
#
#####

# (find-status "debmake")
# (find-vldifile "debmake.list")
# (find-fline "/usr/doc/debmake/")
# (find-fline "/usr/share/debmake/")

# (find-fline "/usr/bin/deb-make")
# (find-fline "/usr/bin/debstd")

# (eeman "1 debstd")
# (eeman "1 deb-make")

# (find-devreftxt "`debmake' is now deprecated in favor of\n     `debhelper'")





#####
#
# hello
#
#####

rm -Rv

pdsc /big/slinks1/dists/slink/main/source/devel/hello-debhelper_1.3-14.3.dsc
pdsc /big/slinks1/dists/slink/main/source/devel/debhelper_1.1.24.dsc
pdsc /big/slinks1/dists/slink/main/source/devel/dh-make_0.7.dsc


apti packaging-manual
apti debhelper dh-make

# Debhelper is a replacement for debstd, and at this time
# (slink/potato) is the standard tool for building packages.
# (find-fline "/usr/doc/debhelper/from-debstd")

# (find-fline "/usr/doc/debhelper/")
# (find-fline "/usr/doc/dh-make/")
# (find-fline "/usr/doc/packaging-manual/")
# (find-fline "/usr/doc/packaging-manual/packaging.text.gz")
# (find-vldifile "debhelper.list")
# (find-vldifile "dh-make.list")
# (find-vldifile "packaging-manual.list")

# (eeman "dh_make")

# (find-es "tcl" "mktclapp")

apti devscripts
# (find-vldifile "devscripts.list")
# (find-fline "/usr/doc/devscripts/")




#####
#
# mktclapp: raw make
# 99aug??
#
#####

# «mktclapp_raw»  (to ".mktclapp_raw")

rm -Rv /usr/src/mktclapp*
mkdir  /usr/src/mktclapp-3.7/
cd     /usr/src/mktclapp-3.7/
tar -xvzf $S/http/www.hwaci.com/sw/mktclapp/mktclapp.tar.gz

cd     /usr/src/mktclapp-3.7/
cat > hello.c <<'---'
/* A C module */
#include <stdio.h>
#include "mta.h"
int ET_COMMAND_print_hello(ET_TCLARGS){
  printf("Hello, out there!\n");
  return TCL_OK;
}
---
cat > hello.tcl <<'---'
button .b -text Go -command print_hello
button .e -text Quit -command exit
pack .b .e -side left
---
cat > Makefile <<'---'
mktclapp: mktclapp.c
mta.h: mktclapp
	./mktclapp -header > mta.h
glue.c: mktclapp hello.c hello.tcl
	./mktclapp -dont-strip-tcl -read-stdin \
	  hello.c  -main-script hello.tcl  > glue.c
glue.o: glue.c mta.h
hello.o: hello.c mta.h
hello: glue.o hello.o
	gcc -ltk8.0 -ltcl8.0 -L/usr/X11R6/lib -lX11 -lm -ldl \
	  -o hello glue.o hello.o
clean:
	rm -fv mta.h glue.c glue.o hello.o hello
---

make clean
make hello	|& tee om

# The program below has a window AND a stdin interpreter.
./hello





#####
#
# dh_make on mktclapp
# 99aug??
#
#####

# «mktclapp_dh_make»  (to ".mktclapp_dh_make")

rm -Rv /usr/src/mktclapp*
mkdir  /usr/src/mktclapp-3.7/
cd     /usr/src/mktclapp-3.7/
tar -xvzf $S/http/www.hwaci.com/sw/mktclapp/mktclapp.tar.gz

export EMAIL=edrx@inx.com.br
echo s | dh_make

cd /usr/src/mktclapp-3.7/debian/
rm -v crontab.ex diversions.ex inetd.conf.ex info.ex init.d.ex menu.ex watch.ex

# (find-fline "~/Makefile.mta")

cd /usr/src/mktclapp-3.7/
cp ~/Makefile.mta Makefile

debian/rules binary	|& tee odrb

# (find-fline "/usr/src/mktclapp-3.7/debian/")
# (deb-view "/usr/src/mktclapp_3.7-1_i386.deb")

dpkg -i /usr/src/mktclapp_3.7-1_i386.deb
# (find-vldifile "mktclapp.list")
# (find-fline "/usr/doc/mktclapp/")

dpkg --purge mktclapp





######
#
# Packaging mktclapp in a more serious way
# 99aug26
#
######

# «mktclapp»  (to ".mktclapp")

rm -Rv /usr/src/mktclapp-3.7/
mkdir /usr/src/mktclapp-3.7/
cd /usr/src/mktclapp-3.7/
tar -xvzf $S/http/www.hwaci.com/sw/mktclapp/mktclapp.tar.gz

cd ~/debian/mktclapp/
cp -dipvR * /usr/src/mktclapp-3.7/

cd /usr/src/mktclapp-3.7/
debian/rules binary	|& tee odrb

cd /usr/src/mktclapp-3.7/debian/tmp/
find

cd /usr/src/
mv -v mktclapp*.deb .debs/
# apt-update
# apti mktclapp
dpkg -i /usr/src/.debs/mktclapp_3.7-1_i386.deb


# (find-fline "~/debian/mktclapp/")
# (find-fline "~/debian/mktclapp/Makefile")
# (find-fline "~/debian/mktclapp/examples/")
# (find-fline "~/debian/mktclapp/debian/")
# (find-fline "/usr/src/mktclapp-3.7/odrb")
# (find-fline "/usr/src/mktclapp-3.7/debian/")

# (find-vldifile "mktclapp.list")
# (find-fline "/usr/doc/mktclapp/")
# (find-fline "/usr/doc/mktclapp/examples/")
# (find-fline "/usr/doc/mktclapp/examples/README")

# (find-fline "/usr/doc/packaging-manual/packaging.text.gz")
# (find-vldifile "et.list")
# (find-fline "/usr/doc/et/")
# (find-fline "/usr/doc/et/html/.dhelp")
pdsc /big/slinks1/dists/slink/main/source/devel/et_80b2-8.dsc

# (eeman "dhelp_parse")




#####
#
# extracting the examples from mktclapp.html
# 99aug??
#
#####

# (find-node "(gawk)Pattern Overview")
# (find-node "(gawk)Using Constant Regexps")
# (find-node "(gawk)Print")

cd /usr/doc/mktclapp/
awk '/<pre>/ { p=1 }; { if(p) {print $0} }; /<\/pre>/ { p=0 }' \
  < mktclapp.html > ~/o
awk '{ if ($0 ~ /pre>/) print ""; else print $0 }' < ~/o > ~/o2

# (find-fline "~/o2")
# (fooi "&lt;" "<" "&gt;" ">" "<b>" "" "</b>" "")

a2ps -o /tmp/o.ps -X ibmpc \
  --columns=2 --rows=1 --major=columns --portrait --medium=A4dj \
  ~/o2
gv /tmp/o.ps

cd /tmp
make -f ~/LATEX/Makefile o.p01

pdsc /big/slinks1/dists/slink/main/source/devel/et_80b2-8.dsc





#####
#
# mktclapp: making a source debian package
# 99oct??
#
#####

# «mktclapp_dbp»  (to ".mktclapp_dbp")

rm -Rv /usr/src/mktclapp-3.7.orig/
mkdir /usr/src/mktclapp-3.7.orig/
cd /usr/src/mktclapp-3.7.orig/
tar -xvzf $S/http/www.hwaci.com/sw/mktclapp/mktclapp.tar.gz

rm -Rv /usr/src/mktclapp-3.7/
mkdir /usr/src/mktclapp-3.7/
cd /usr/src/mktclapp-3.7/
tar -xvzf $S/http/www.hwaci.com/sw/mktclapp/mktclapp.tar.gz

cd ~/debian/mktclapp/
cp -dipvR * /usr/src/mktclapp-3.7/
cd /usr/src/mktclapp-3.7/
dpkg-buildpackage

# (find-fline "~/debian/mktclapp/debian/")

# (find-fline "/usr/bin/dpkg-buildpackage")
# (find-fline "/usr/bin/dpkg-buildpackage" 124)




######
#
# lintian
# 99oct??
#
######

# «lintian»  (to ".lintian")

apti lintian diffstat
# (find-fline "/usr/doc/diffstat/")
# (find-fline "/usr/doc/lintian/")
# (find-vldifile "diffstat.list")
# (find-vldifile "lintian.list")
# (find-fline "/usr/doc/lintian/README" "lintian <something>")

# Must be run as a non-root user.

cd /usr/src/
lintian mktclapp_3.7-1_i386.deb
lintian mktclapp_3.7-1.dsc
lintian mktclapp_3.7-1_i386.changes





#####
#
# Making a manpage via pod
# 99nov03
#
#####

# «writing_pods»
# (find-es "debiandev" "manpage_via_groff")

# (find-pl5file "pod/")
# (find-pl5file "pod/perlpod.pod")
# (find-fline "~/debian/mktclapp/")
# (find-fline "~/debian/mktclapp/m.1")
# (find-fline "~/debian/mktclapp/m.pod")

# (eeman "perlpod")
# (eeman "pod2man")
# (eeman "1 man" "A manual page consists")
# (find-fline "/usr/man/man3/")
# (eeman "Tcl_Read")

# (find-angg ".zshrc" "filters")

cd ~/debian/mktclapp/
pod2man --section=1 --center="mktclapp" --release="mktclapp 3.7" m.pod \
  > /tmp/m.1 \
  && man2t /tmp/m.1 | l



# 00feb19:

# (find-fline "~/mktclapp-3.9/mktclapp.pod")
# (find-fline "~/mktclapp-3.9/xmktclapp.pod")
# (find-fline "~/mktclapp-3.9/Makefile")





######
#
# mktclapp-3.8: testing and making the .deb
# 00jan13
#
######

# «mktclapp-3.8»  (to ".mktclapp-3.8")

rm -Rv /usr/src/mktclapp-3.8/
cd /usr/src/
tar -xvzf $S/http/www.hwaci.com/sw/mktclapp/mktclapp.tar.gz
mv mktclapp mktclapp-3.8
cd /usr/src/mktclapp-3.8/

cd ~/mktclapp-3.8/
cp -dipvR * /usr/src/mktclapp-3.8/

cd /usr/src/mktclapp-3.8/
debian/rules binary	|& tee odrb

mv -v /usr/src/mktclapp_3.8*.deb /usr/src/.debs/
# apti mktclapp
dpkg -i /usr/src/.debs/mktclapp_3.8-1_i386.deb

cd /usr/doc/mktclapp/examples/
sh README




# -ltk -L/usr/X11R6/lib -lX11 -ltcl -lm -ldl


# (find-mtafile "examples/")
# (find-mtafile "examples/README")
# (find-mtafile "examples/Makefile" "factor_.c")
# (find-mtafile "examples/appinit.mta")


# (find-mtafile "")
# (find-fline "~/mktclapp-3.8/")
# (find-fline "~/mktclapp-3.8/mktclapp.pod")
# (find-fline "~/mktclapp-3.8/Makefile" "%.1")
# (find-fline "~/mktclapp-3.8/debian/")
# (find-fline "~/mktclapp-3.8/examples/")
# (find-fline "~/mktclapp-3.8/examples/Makefile" "8.0")
# (find-vldifile "mktclapp.list")
# (find-fline "/usr/doc/mktclapp/")


cd /usr/src/mktclapp-3.8/examples/
make mktclapp.h
mktclapp -notk -extension Factor \
		factor.c  > factor_e.c
make factor_e.o factor.o
gcc -shared -o factor.so factor_e.o factor.o
expect -c '
  load ./factor.so
  factor 12 puts
'




# (find-fline "/usr/doc/packaging-manual/packaging.text.gz")

# (find-vldifile "et.list")
# (find-fline "/usr/doc/et/")
# (find-fline "/usr/doc/et/html/.dhelp")
pdsc /big/slinks1/dists/slink/main/source/devel/et_80b2-8.dsc

# (eeman "dhelp_parse")





#####
#
# mktclapp 3.9 - first uploadable debian package (+ lintians)
# 2000feb18
#
#####

# «mktclapp-3.9-fupl»  (to ".mktclapp-3.9-fupl")

rm -v /usr/src/mktclapp_3.9-*
rm -v /usr/src/mktclapp_3.9.orig.tar.gz

rm -Rv /usr/src/mktclapp-3.9.orig/
mkdir /usr/src/mktclapp-3.9.orig/
cd /usr/src/mktclapp-3.9.orig/
tar -xvzf $S/http/www.hwaci.com/sw/mktclapp/mktclapp.tar.gz

rm -Rv /usr/src/mktclapp-3.9/
mkdir /usr/src/mktclapp-3.9/
cd /usr/src/mktclapp-3.9/
tar -xvzf $S/http/www.hwaci.com/sw/mktclapp/mktclapp.tar.gz

# (find-mtafile "")
# (find-fline "~/mktclapp-3.9/")
# (find-fline "~/mktclapp-3.9/.files")

cd /usr/src/mktclapp-3.9/
mkdir debian examples
for i in $(<~/mktclapp-3.9/.files); do
  cp -iv ~/mktclapp-3.9/$i $i
done

cd /usr/src/mktclapp-3.9/
dpkg-buildpackage	|& tee odbp

cd /usr/src/
laf mktclapp_3.9*

# (find-es "secret" "pgp_key")
# (find-mtafile "odbp")



# lintians:
#
lintian --allow-root /usr/src/mktclapp_3.9-1.dsc
lintian --allow-root /usr/src/mktclapp_3.9-1_i386.deb

lintian --allow-root /usr/src/mktclapp_3.9-1_i386.changes



# store in the right places and install:
#
mv -v /usr/src/mktclapp*.deb /usr/src/.debs/
apt-update
aptrm mktclapp
apti mktclapp

mv -v /usr/src/mktclapp_* /usr/src/.dscs/
cd /usr/src/.dscs/
laf



# a test:
# (find-fline "~/mktclapp-3.9/examples/README")
#
cd /usr/doc/mktclapp/examples/
sh README








#####
#
# Notes on fixing some lintian errors
# 2000feb19
#
#####

# E: mktclapp: wish-script-but-no-wish-dep usr/bin/xmktclapp
# E: mktclapp: binary-without-manpage xmktclapp

# (find-mtafile "debian/tmp/DEBIAN/control")
# (find-mtafile "debian/")
# (find-mtafile "debian/substvars")

# (find-fline "~/mktclapp-3.9/debian/")

cd /usr/doc/packaging-manual/packaging.html/
agrep substvars *

# (find-es "debiandev" "mktclapp_dbp")

# (find-fline "/usr/bin/dpkg-buildpackage")
# (find-fline "/usr/bin/dpkg-buildpackage" 124)




#####
#
# Uploading to a temporary place
# 00feb19
#
#####

cd /usr/src/.dscs/
anonftp angg.twu.net \
  'mkdir slow_html' \
  'cd slow_html' \
  'mkdir debian' \
  'cd debian' \
  'put mktclapp_3.9-1.diff.gz' \
  'put mktclapp_3.9-1.dsc' \
  'put mktclapp_3.9-1_i386.changes' \
  'put mktclapp_3.9.orig.tar.gz' \
  quit

# On twu, with eevt and sshtwu:
mkdir ~/public_html/debian/
cp -iv ~/slow/* ~/public_html/debian/




#####
#
# Debian devel docs
# 2009jul26
#
#####

# «debian-devel-docs»  (to ".debian-devel-docs")
# (find-angg ".emacs" "debian-devel-docs")
# (find-angg ".zshrc" "prep-apti")
# (find-es "apt" "apt-howto-deb")

# (find-status   "debian-policy")
# (find-vldifile "debian-policy.list")
# (find-udfile   "debian-policy/")
# (find-status   "developers-reference")
# (find-vldifile "developers-reference.list")
# (find-udfile   "developers-reference/")
# (find-status   "doc-base")
# (find-vldifile "doc-base.list")
# (find-udfile   "doc-base/")
# (find-status   "maint-guide")
# (find-vldifile "maint-guide.list")
# (find-udfile   "maint-guide/")
# (find-status   "debian-reference-en")
# (find-vldifile "debian-reference-en.list")
# (find-udfile   "debian-reference-en/")

apti maint-guide developers-reference doc-base debian-policy debian-reference-en




#####
#
# debchange
# 2019sep09
#
#####

# «debchange» (to ".debchange")
# (find-status   "devscripts")
# (find-vldifile "devscripts.list")
# (find-udfile   "devscripts/")
# (find-fline "/usr/bin/debchange")
# (find-fline "/usr/bin/dch")
# (find-man "1 dch")
# (find-man "1 debchange")

# http://angg.twu.net/bin/yelp4kde.html
# (find-angg "bin/yelp4kde")
# (find-anggfile "bin/yelp4kde" "dch --create")









#  Local Variables:
#  coding:               utf-8-unix
#  End:
